com.trendmicro.ds.appcontrol.rest.object

## Class InventoryItem

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.InventoryItem

-     public class InventoryItem
      extends java.lang.Object

  Detailed information about an application inventory item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InventoryItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` The file category as reported by the package management system on the computer.
    `java.lang.String` | `getFileDescription()` The file description as reported by the package management system on the computer.
    `java.lang.String` | `getFileName()` The file name.
    `java.lang.String` | `getFileVersion()` The file version as reported by the package management system on the computer.
    `java.lang.Long` | `getItemID()` The item ID corresponding to this inventory item.
    `java.lang.String` | `getMD5()` The MD5 hash of the file contents.
    `java.lang.String` | `getPath()` The file path.
    `java.lang.String` | `getProductName()` The product name as reported by the package management system on the computer.
    `java.lang.String` | `getProductVersion()` The product version as reported by the package management system on the computer.
    `java.lang.String` | `getSHA1()` The SHA-1 hash of the file contents.
    `java.lang.String` | `getSHA256()` The SHA-256 hash of the file contents.
    `java.lang.Long` | `getSize()` The file size.
    `java.lang.String` | `getVendorName()` The vendor name as reported by the package management system on the computer.
    `void` | `setCategory(java.lang.String category)` Set the file category as reported by the package management system on the computer.
    `void` | `setFileDescription(java.lang.String fileDescription)` Set the file description as reported by the package management system on the computer.
    `void` | `setFileName(java.lang.String fileName)` Set the file name.
    `void` | `setFileVersion(java.lang.String fileVersion)` Set the file version as reported by the package management system on the computer.
    `void` | `setItemID(java.lang.Long itemID)` Set the item ID corresponding to this inventory item.
    `void` | `setMD5(java.lang.String md5)` Set the MD5 hash of the file contents.
    `void` | `setPath(java.lang.String path)` Set the file path.
    `void` | `setProductName(java.lang.String productName)` Set the product name as reported by the package management system on the computer.
    `void` | `setProductVersion(java.lang.String productVersion)` Set the product version as reported by the package management system on the computer.
    `void` | `setSHA1(java.lang.String sha1)` Set the SHA-1 hash of the file contents.
    `void` | `setSHA256(java.lang.String sha256)` Set the SHA-256 hash of the file contents.
    `void` | `setSize(java.lang.Long size)` Set the file size.
    `void` | `setVendorName(java.lang.String vendorName)` Set the vendor name as reported by the package management system on the computer.
    `InventoryItem` | `withCategory(java.lang.String category)` Set the file category as reported by the package management system on the computer.
    `InventoryItem` | `withFileDescription(java.lang.String fileDescription)` Set the file description as reported by the package management system on the computer.
    `InventoryItem` | `withFileName(java.lang.String fileName)` Set the file name.
    `InventoryItem` | `withFileVersion(java.lang.String fileVersion)` Set the file version as reported by the package management system on the computer.
    `InventoryItem` | `withItemID(java.lang.Long itemID)` Set the item ID corresponding to this inventory item.
    `InventoryItem` | `withMD5(java.lang.String md5)` Set the MD5 hash of the file contents.
    `InventoryItem` | `withPath(java.lang.String path)` Set the file path.
    `InventoryItem` | `withProductName(java.lang.String productName)` Set the product name as reported by the package management system on the computer.
    `InventoryItem` | `withProductVersion(java.lang.String productVersion)` Set the product version as reported by the package management system on the computer.
    `InventoryItem` | `withSHA1(java.lang.String sha1)` Set the SHA-1 hash of the file contents.
    `InventoryItem` | `withSHA256(java.lang.String sha256)` Set the SHA-256 hash of the file contents.
    `InventoryItem` | `withSize(java.lang.Long size)` Set the file size.
    `InventoryItem` | `withVendorName(java.lang.String vendorName)` Set the vendor name as reported by the package management system on the computer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InventoryItem

          public InventoryItem()

  - ### Method Detail

    - #### getItemID

          public java.lang.Long getItemID()

      The item ID corresponding to this inventory item.
      Returns:
        the item ID corresponding to this inventory item.

    - #### setItemID

          public void setItemID(java.lang.Long itemID)

      Set the item ID corresponding to this inventory item.
      Parameters:
        `itemID` - the item ID corresponding to this inventory item.

    - #### withItemID

          public InventoryItem withItemID(java.lang.Long itemID)

      Set the item ID corresponding to this inventory item.
      Parameters:
        `itemID` - the item ID corresponding to this inventory item.
      Returns:
        the updated InventoryItem object.

    - #### getVendorName

          public java.lang.String getVendorName()

      The vendor name as reported by the package management system on the computer.
      Returns:
        the vendor name as reported by the package management system on the computer.

    - #### setVendorName

          public void setVendorName(java.lang.String vendorName)

      Set the vendor name as reported by the package management system on the computer.
      Parameters:
        `vendorName` - the vendor name as reported by the package management system on the computer.

    - #### withVendorName

          public InventoryItem withVendorName(java.lang.String vendorName)

      Set the vendor name as reported by the package management system on the computer.
      Parameters:
        `vendorName` - the vendor name as reported by the package management system on the computer.
      Returns:
        the updated `InventoryItem` object.

    - #### getProductName

          public java.lang.String getProductName()

      The product name as reported by the package management system on the computer.
      Returns:
        the product name as reported by the package management system on the computer.

    - #### setProductName

          public void setProductName(java.lang.String productName)

      Set the product name as reported by the package management system on the computer.
      Parameters:
        `productName` - the product name as reported by the package management system on the computer.

    - #### withProductName

          public InventoryItem withProductName(java.lang.String productName)

      Set the product name as reported by the package management system on the computer.
      Parameters:
        `productName` - the product name as reported by the package management system on the computer.
      Returns:
        the updated `InventoryItem` object.

    - #### getProductVersion

          public java.lang.String getProductVersion()

      The product version as reported by the package management system on the computer.
      Returns:
        the product version as reported by the package management system on the computer.

    - #### setProductVersion

          public void setProductVersion(java.lang.String productVersion)

      Set the product version as reported by the package management system on the computer.
      Parameters:
        `productVersion` - the product version as reported by the package management system on the computer.

    - #### withProductVersion

          public InventoryItem withProductVersion(java.lang.String productVersion)

      Set the product version as reported by the package management system on the computer.
      Parameters:
        `productVersion` - the product version as reported by the package management system on the computer.
      Returns:
        the updated `InventoryItem` object.

    - #### getFileVersion

          public java.lang.String getFileVersion()

      The file version as reported by the package management system on the computer.
      Returns:
        the file version as reported by the package management system on the computer.

    - #### setFileVersion

          public void setFileVersion(java.lang.String fileVersion)

      Set the file version as reported by the package management system on the computer.
      Parameters:
        `fileVersion` - the file version as reported by the package management system on the computer.

    - #### withFileVersion

          public InventoryItem withFileVersion(java.lang.String fileVersion)

      Set the file version as reported by the package management system on the computer.
      Parameters:
        `fileVersion` - the file version as reported by the package management system on the computer.
      Returns:
        the updated `InventoryItem` object.

    - #### getFileDescription

          public java.lang.String getFileDescription()

      The file description as reported by the package management system on the computer.
      Returns:
        the file description as reported by the package management system on the computer.

    - #### setFileDescription

          public void setFileDescription(java.lang.String fileDescription)

      Set the file description as reported by the package management system on the computer.
      Parameters:
        `fileDescription` - the file description as reported by the package management system on the computer.

    - #### withFileDescription

          public InventoryItem withFileDescription(java.lang.String fileDescription)

      Set the file description as reported by the package management system on the computer.
      Parameters:
        `fileDescription` - the file description as reported by the package management system on the computer.
      Returns:
        the updated `InventoryItem` object.

    - #### getCategory

          public java.lang.String getCategory()

      The file category as reported by the package management system on the computer.
      Returns:
        the file category as reported by the package management system on the computer.

    - #### setCategory

          public void setCategory(java.lang.String category)

      Set the file category as reported by the package management system on the computer.
      Parameters:
        `category` - the file category as reported by the package management system on the computer.

    - #### withCategory

          public InventoryItem withCategory(java.lang.String category)

      Set the file category as reported by the package management system on the computer.
      Parameters:
        `category` - the product name as reported by the package management system on the computer.
      Returns:
        the updated `InventoryItem` object.

    - #### getSHA256

          public java.lang.String getSHA256()

      The SHA-256 hash of the file contents.
      Returns:
        the SHA-256 hash of the file contents.

    - #### setSHA256

          public void setSHA256(java.lang.String sha256)

      Set the SHA-256 hash of the file contents.
      Parameters:
        `sha256` - the SHA-256 hash of the file contents.

    - #### withSHA256

          public InventoryItem withSHA256(java.lang.String sha256)

      Set the SHA-256 hash of the file contents.
      Parameters:
        `sha256` - the SHA-256 hash of the file contents.
      Returns:
        the updated `InventoryItem` object.

    - #### getSHA1

          public java.lang.String getSHA1()

      The SHA-1 hash of the file contents.
      Returns:
        the SHA-1 hash of the file contents.

    - #### setSHA1

          public void setSHA1(java.lang.String sha1)

      Set the SHA-1 hash of the file contents.
      Parameters:
        `sha1` - the SHA-1 hash of the file contents.

    - #### withSHA1

          public InventoryItem withSHA1(java.lang.String sha1)

      Set the SHA-1 hash of the file contents.
      Parameters:
        `sha1` - the SHA-1 hash of the file contents.
      Returns:
        the updated `InventoryItem` object.

    - #### getMD5

          public java.lang.String getMD5()

      The MD5 hash of the file contents.
      Returns:
        the MD5 hash of the file contents.

    - #### setMD5

          public void setMD5(java.lang.String md5)

      Set the MD5 hash of the file contents.
      Parameters:
        `md5` - the MD5 hash of the file contents.

    - #### withMD5

          public InventoryItem withMD5(java.lang.String md5)

      Set the MD5 hash of the file contents.
      Parameters:
        `md5` - the MD5 hash of the file contents.
      Returns:
        the updated `InventoryItem` object.

    - #### getFileName

          public java.lang.String getFileName()

      The file name.
      Returns:
        the file name.

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set the file name.
      Parameters:
        `fileName` - the file name.

    - #### withFileName

          public InventoryItem withFileName(java.lang.String fileName)

      Set the file name.
      Parameters:
        `fileName` - the file name.
      Returns:
        the updated `InventoryItem` object.

    - #### getPath

          public java.lang.String getPath()

      The file path.
      Returns:
        the file path.

    - #### setPath

          public void setPath(java.lang.String path)

      Set the file path.
      Parameters:
        `path` - the file path.

    - #### withPath

          public InventoryItem withPath(java.lang.String path)

      Set the file path.
      Parameters:
        `path` - the file path.
      Returns:
        the updated `InventoryItem` object.

    - #### getSize

          public java.lang.Long getSize()

      The file size.
      Returns:
        the file size.

    - #### setSize

          public void setSize(java.lang.Long size)

      Set the file size.
      Parameters:
        `size` - the file size.

    - #### withSize

          public InventoryItem withSize(java.lang.Long size)

      Set the file size.
      Parameters:
        `size` - the file size.
      Returns:
        the updated `InventoryItem` object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.